local shroomHelperEntities = require("#Celeste.Mod.ShroomHelper.Entities")

function onTalk()
  disableMovement()
  if celeste.Settings.Instance.Language == "schinese" then
    say("trlt_dialog_secret_start")
    local picture = shroomHelperEntities.ShroomBook(player,"poem/chinese_neutral_tutorial")
-- create entity and store it in "picture"
    getLevel():Add(picture) -- add entity to level

  else
    say("trlt_dialog_secret_start")
    local picture = shroomHelperEntities.ShroomBook(player,"poem/english_neutral_tutorial") 
    getLevel():Add(picture) -- add entity to level
  end

end

function onEnd()
  enableMovement()
end